Package org.apache.nutch.urlfilter.fast

## Class FastURLFilter.DenyAllRule

- java.lang.Object
- - org.apache.nutch.urlfilter.fast.FastURLFilter.Rule
  - - org.apache.nutch.urlfilter.fast.FastURLFilter.DenyAllRule

- Enclosing class:
    FastURLFilter

      public static class FastURLFilter.DenyAllRule
      extends FastURLFilter.Rule

  Rule for `DenyPath .*` or `DenyPath .?`

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.urlfilter.fast.FastURLFilter.Rule

      `pattern`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FastURLFilter.Rule` | `getInstance()` |
    `boolean` | `match​(URL url)` |

    - ### Methods inherited from class org.apache.nutch.urlfilter.fast.FastURLFilter.Rule

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static FastURLFilter.Rule getInstance()

    - #### match

          public boolean match​(URL url)

      Overrides:
        `match` in class `FastURLFilter.Rule`